Mobileread
EPUB 3.2
#1  Evil Overlord 07-06-2019, 09:56 AM
Is there a timeline for Sigil supporting EPUB 3.2 (or a way to do it now)? As far as I can tell, I can only save in EPUB 3.0
Reply 

#2  KevinH 07-06-2019, 11:39 AM
And every validated 3.0.1 epub meets the epub 3.2 standard according to their website. The differences are not much. A few things were deprecated but no one used them anyway (epub::switch, etc,). And as far as I can tell epub 3.2 is still just proposed. Their final "community report" is dated July 2019.

So right now Sigil produces epubs that meet the epub3.2 spec.

In fact, for epub 3.2 they did NOT change the package tag version:

Quote
The version attribute specifies the EPUB specification version to which the given EPUB Package conforms. The attribute MUST have the value "3.0" to indicate compliance with this version of the specification.
So simply running the latest epubcheck and making sure your epub meets it, is really all that is required.

So we have no immediate plans to change anything for epub3.2. As chasing the "spec" makes no sense since the whole epub 3.1 spec was dead on arrival and so they ignored it to create epub 3.2 - which is backwards compatible with epub 3.0.1 (which is what Sigil supports).

If there are serious differences that actually matter to reader software we will incorporate them. But right now that is not the case.
Reply 

#3  Evil Overlord 07-12-2019, 10:58 AM
"The attribute MUST have the value "3.0" "

Thanks; hadn't realized that.
Reply 

Today's Posts | Search this Thread | Login | Register